Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.impl
Class FacetSetImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.gmt.modisco.infra.facet.impl.FacetSetImpl

All Implemented Interfaces:
  FacetSet

    public class FacetSetImpl

extends EPackageImpl
implements FacetSet

An implementation of the model object 'Set'.

The following features are implemented:

- `Extended Package`
- `Facets`

Method Summary
`EPackage` | `basicGetExtendedPackage()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`EPackage` | `getExtendedPackage()`
`Facet` | `getFacet(java.lang.String name)`
`` | `getFacets()`
`boolean` | `isSetFacets()`
`void` | `setExtendedPackage(EPackage newExtendedPackage)`
`void` | `unsetFacets()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExtendedPackage

    public EPackage getExtendedPackage()

  Specified by:
    `getExtendedPackage` in interface `FacetSet`
  Returns:
    the value of the 'Extended Package' reference.
  See Also:
    `FacetSet.setExtendedPackage(EPackage)`, `FacetPackage.getFacetSet_ExtendedPackage()`

### basicGetExtendedPackage

    public EPackage basicGetExtendedPackage()

### setExtendedPackage

    public void setExtendedPackage(EPackage newExtendedPackage)

  Specified by:
    `setExtendedPackage` in interface `FacetSet`
  Parameters:
    `newExtendedPackage` - the new value of the 'Extended Package' reference.
  See Also:
    `FacetSet.getExtendedPackage()`

### getFacets

    public  getFacets()

  Specified by:
    `getFacets` in interface `FacetSet`
  Returns:
    the value of the 'Facets' reference list.
  See Also:
    `FacetSet.isSetFacets()`, `FacetSet.unsetFacets()`, `FacetPackage.getFacetSet_Facet()`

### unsetFacets

    public void unsetFacets()

  Specified by:
    `unsetFacets` in interface `FacetSet`
  See Also:
    `FacetSet.isSetFacets()`, `FacetSet.getFacets()`

### isSetFacets

    public boolean isSetFacets()

  Specified by:
    `isSetFacets` in interface `FacetSet`
  Returns:
    whether the value of the 'Facets' reference list is set.
  See Also:
    `FacetSet.unsetFacets()`, `FacetSet.getFacets()`

### getFacet

    public Facet getFacet(java.lang.String name)

  Specified by:
    `getFacet` in interface `FacetSet`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD